local M = {}
M.type = "auxiliary"
M.relevantDevice = nil

local currentGear = 0
local hGateDegreeX = 10 
local hGateDegreeY = 1/360
local linkDegreeX = 1/360
local linkTranslateY =  100000

local hGateMoveX = 10
local hGateMoveY = 18
local linkMoveY = 0.014
	

local function updateGFX(dt)
--megajank V1.0 because IDGAF

	currentGear = electrics.values["gearIndex"] or 0

	
	
	
	if currentGear == -1 then
		electrics.values.hgateshifter = hGateMoveX * hGateDegreeX - hGateDegreeY * hGateMoveY
		electrics.values.hgatelinkage = hGateMoveX * linkDegreeX - linkTranslateY * linkMoveY
	elseif currentGear == 0 then
		electrics.values.hgateshifter = 0
		electrics.values.hgatelinkage = 0
	elseif currentGear == 1 then
		electrics.values.hgateshifter = -hGateMoveX * hGateDegreeX + hGateDegreeY * hGateMoveY
		electrics.values.hgatelinkage = -hGateMoveX * linkDegreeX + linkTranslateY * linkMoveY
	elseif currentGear == 2 then
		electrics.values.hgateshifter = -hGateMoveX * hGateDegreeX - hGateDegreeY * hGateMoveY
		electrics.values.hgatelinkage = -hGateMoveX * linkDegreeX - linkTranslateY * linkMoveY
	elseif currentGear == 3 then
		electrics.values.hgateshifter = hGateDegreeY * hGateMoveY
		electrics.values.hgatelinkage = linkTranslateY * linkMoveY
	elseif currentGear == 4 then
		electrics.values.hgateshifter = hGateDegreeY * -hGateMoveY
		electrics.values.hgatelinkage = -linkTranslateY * linkMoveY
	elseif currentGear == 5 then
		electrics.values.hgateshifter = hGateMoveX * hGateDegreeX + hGateDegreeY * hGateMoveY
		electrics.values.hgatelinkage = hGateMoveX * linkDegreeX + linkTranslateY * linkMoveY
	end
	
	
end



local function init(jbeamData)
	electrics.values.hgateshifter = 0
	electrics.values.hgatelinkage = 0
end


-- at the end of the lua as always
M.init = init
M.updateGFX = updateGFX

M.nextMode = nextMode
M.previousMode = previousMode
return M